# README

## Data belonging to the article
* Balance perturbations during very slow walking: strategies for recovering linear and angular momentum
* M. van Mierlo, M. Vlutters, E.H.F. van Asseldonk, H. van der Kooij

## Experiment perturbations whole body linear and angular momentum
* Experiments performed between 11-02-2021 and 12-03-2021
* 10 participants walked on the treadmill while wearing a brace around the pelvis and upper body
* Perturbations were applied either to the pelvis only or simultaneous to the pelvis, upper body in opposite direction

## Equipment
* Instrumented dual-belt treadmill
* MoCap: Qualisys 8 camera
* Moog motors for perturbations

## Perturbations
* Perturbations were applied at toe of right
* Applied with a random interval of 6-12s between the perturbations
* Back and forward perturbations with a magnitude of 4, 8, 12 and 16% of the participant's body weight
* Each perturbation condition was repeated 6x

## Included data files
* For each datatype a separate .csv file is added.
* Details on how each outcome was obtained can be found in the original article.
* Data is provided of each individual participant, averaged over the 6 repetitions within that participant
* Data is given of a time series normalised between the gait events: toe off right (TOR), which is also the start of the perturbation, end of perturbation (EndP), heel strike right (HSR), toe off left (TOL) and heel strike left (HSL) and the following TOR
* Each of these gait phases (TOR-EndP, EndP-HSR, HSR-TOL, TOL-HSL and HSL-TOR) is resampled to 50 samples
* The headers of the file indicate the participant number and perturbation condition
* The perturbation condition could be unperturbed walking (NoPert) or a perturbation (WBLMpert or WBAMpert) with the perturbation magnitude applied to the pelvis in percentages (e.g. WBLMPert-4 means a backward perturbation of 4% of body weight given to the pelvis and WBAMPert-4 indicates that a backward perturbation of 4% of body weight was given to the pelvis and a forward 4% magnitude perturbation to the upper boddy)
* Datafiles are provided of the following measures (all in the sagittal plane):
- CoMVelocity [m/s]: velocity of the body's centre of mass, corrected for treadmill walking 
- CoPPosition [m]: position of the centre of pressure with respect to the body's centre of mass
- HorizontalGRF [N]: horizontal component of the ground reaction force
- InteractionForcePelvis [N]: measured force between motor and pelvis brace
- InteractionForceUpperBody [N]: measured force between motor and upper body brace
- JointMomentAnkle [Nm]: joint moment of the left ankle
- JointMomentHip [Nm]: joint moment of the left hip
- MomentArmGRF [m]: moment arm of the ground reaction force with respect to the body's centre of mass
- WholeBodyAngularMomentum [Nms]: calculated whole body angular momentum about the body's centre of mass


